<?php
add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){
	
// VARIABLES
$themename = get_theme_data(STYLESHEETPATH . '/style.css');
$themename = $themename['Name'];
$shortname = "of";
$themeid = "_jr";

// Populate OptionsFramework option in array for use in theme
global $of_options;
$of_options = get_option('of_options');

$GLOBALS['template_path'] = OF_DIRECTORY;

//Access the WordPress Categories via an Array
$of_categories = array();  
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
$of_categories = array(1 =>"Select a category:") + $of_categories; 

//Access the WordPress Pages via an Array
$of_pages = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($of_pages_obj as $of_page) {
    $of_pages[$of_page->ID] = $of_page->post_name; }
$of_pages_tmp = array_unshift($of_pages, "Select a page:");       

// Image Alignment radio box
$options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 

// Image Links to Options
$options_image_link_to = array("image" => "The Image","post" => "The Post"); 

//Default Arrays 
$options_revealtype = array("OnMouseover","OnClick");
$options_nr = array("0", "1","2","3","4","5","6","7","8","9","10","11","12","13","14","15");
$fea_nr = array("0", "4");
$options_inslider = array("Disable","Tag-based","Site Wide");
$options_sort = array("ASC","DESC");
$options_order = array("ID","name","count");
$options_logo = array("Text Based Logo","Image Based Logo");
$options_feaslide = array("scrollUp","scrollDown","scrollLeft","scrollRight","turnUp","turnDown","turnLeft","turnRight","fade");

//Stylesheets Reader
$alt_stylesheet_path = OF_FILEPATH . '/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

//More Options
$uploads_arr = wp_upload_dir();
$all_uploads_path = $uploads_arr['path'];
$all_uploads = get_option('of_uploads');
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");

// Set the Options Array
$options = array();

$options[] = array( "name" => "General Settings",
                    "type" => "heading");
					
		$options[] = array( "name" => "Theme Stylesheet",
							"desc" => "Select your themes alternative color scheme (i.e., active style).",
							"id" => $shortname."_alt_stylesheet",
							"std" => "default.css",
							"type" => "select",
							"options" => $alt_stylesheets);
							
		$options[] = array( "name" => "Custom CSS",
							"desc" => "Quickly add some CSS to your theme by adding it to this block.",
							"id" => $shortname."_custom_css",
							"std" => "",
							"type" => "textarea");

		$options[] = array( "desc" => "Disable TimThumb and use WordPress Post Thumbnails instead [WPMU Mode] [Check only if you are having problems with front page thumbnails].",
							"id" => $shortname."_wpmumode",
							"std" => "false",
							"type" => "checkbox");	

		$options[] = array( "name" => "Logo Type",
							"desc" => "If text-based logo is selected, set sitename and tagline on WordPress settings page.",
							"id" => $shortname."_logo_type",
							"std" => "Text Based Logo",
							"type" => "select",
							"options" => $options_logo); 							
							
		$options[] = array( "name" => "Custom Logo",
							"desc" => "If image-based logo is selected, upload a logo for your theme, or specify the image address of your online logo. (http://yoursite.com/logo.png) [Maximum width: 350px]",
							"id" => $shortname."_logo",
							"std" => "",
							"type" => "upload");
							
		$options[] = array( "desc" => "Display site tagline below image logo [Only if image based logo is activated].",
							"id" => $shortname."_logodesc",
							"std" => "false",
							"type" => "checkbox");	
							
		$options[] = array( "name" => "Logo Padding Top",
							"desc" => "Set a padding value between logo and top line.",
							"id" => $shortname."_padding_top",
							"std" => "0",
							"class" => "mini",
							"type" => "text");	

		$options[] = array( "name" => "Logo Padding Bottom",
							"desc" => "Set a padding value between logo and bottom line.",
							"id" => $shortname."_padding_bottom",
							"std" => "0",
							"class" => "mini",
							"type" => "text");
							
		$options[] = array( "name" => "Logo Padding Left",
							"desc" => "Set a padding value between logo and left line.",
							"id" => $shortname."_padding_left",
							"std" => "0",
							"type" => "text");
							
		$options[] = array( "name" => "Custom Favicon",
							"desc" => "Upload a 16px x 16px Png/Gif image that will represent your website's favicon.",
							"id" => $shortname."_custom_favicon",
							"std" => "",
							"type" => "upload"); 
							
		$options[] = array( "name" => "RSS",
							"desc" => "Link to third party feed handler. <br/> [http://www.url.com]",
							"id" => $shortname."_rssaddr",
							"std" => "",
							"type" => "text"); 				
		
		$options[] = array( "name" => "Tracking Code",
							"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
							"id" => $shortname."_google_analytics",
							"std" => "",
							"type" => "textarea"); 					
		
$options[] = array( "name" => "Navigation",
				"type" => "heading");			

		$options[] = array( "name" => "Custom Navigation",
							"desc" => "Replace masthead with a custom menu. [If selected, create a <a href='nav-menus.php' target='_blank'>custom menu</a>]",
							"id" => $shortname."_nav3",
							"std" => "false",
							"type" => "checkbox");		

		$options[] = array( "desc" => "Replace primary navigation with a custom menu. [If selected, create a <a href='nav-menus.php' target='_blank'>custom menu</a>]",
							"id" => $shortname."_nav1",
							"std" => "false",
							"type" => "checkbox");	

		$options[] = array( "desc" => "Replace Footer navigation with a custom menu. [If selected, create a <a href='nav-menus.php' target='_blank'>custom menu</a>]",
							"id" => $shortname."_nav2",
							"std" => "false",
							"type" => "checkbox");								
														
		$options[] = array( "name" => "Sort Categories",
							"desc" => "Display categories in ascending or descending order",
							"id" => $shortname."_sort_cats",
							"std" => "Disable",
							"type" => "select",
							"class" => "mini",
							"options" => $options_sort);

		$options[] = array( "name" => "Order Categories",
							"desc" => "Display categories in alphabetical order, by category ID, or by the count of posts",
							"id" => $shortname."_order_cats",
							"std" => "name",
							"type" => "select",
							"class" => "mini",
							"options" => $options_order);
							
		$options[] = array( "name" => "Exclude Categories",
							"desc" => "ID number of cat(s) to exclude from navigation (eg 1,2,3,4) <a href='http://www.gabfirethemes.com/how-to-check-category-ids/' target='_blank'>How check category/page ID</a>",
							"id" => $shortname."_ex_cats",
							"std" => "",
							"class" => "mini",
							"type" => "text"); 
							
		$options[] = array( "name" => "Exclude Pages",
							"desc" => "ID number of page(s) to exclude from navigation (eg 1,2,3,4) <a href='http://www.gabfirethemes.com/how-to-check-category-ids/' target='_blank'>How check category/page ID</a>",
							"id" => $shortname."_ex_pages",
							"std" => "",
							"class" => "mini",
							"type" => "text");
							
		$options[] = array( "name" => "Exclude Categories (footer)",
							"desc" => "ID number of cat(s) to exclude from navigation (eg 1,2,3,4) <a href='http://www.gabfirethemes.com/how-to-check-category-ids/' target='_blank'>How check category/page ID</a>",
							"id" => $shortname."_ex_cats_f",
							"std" => "",
							"class" => "mini",
							"type" => "text"); 
							
		$options[] = array( "name" => "Exclude Pages (footer)",
							"desc" => "ID number of page(s) to exclude from navigation (eg 1,2,3,4) <a href='http://www.gabfirethemes.com/how-to-check-category-ids/' target='_blank'>How check category/page ID</a>",
							"id" => $shortname."_ex_pages_f",
							"std" => "",
							"class" => "mini",
							"type" => "text");

		$options[] = array( "name" => "Photo & Video Taxonomies",
							"desc" => "If any media category created under Photo & Videos section, display them on navigation.",
							"id" => $shortname."_dp_mediacats",
							"std" => "false",
							"type" => "checkbox");
							
		$options[] = array( "name" => "Media Gallery Page ID",
							"desc" => "ID number of media page. See Setting up Media Gallery screencast <a href='http://gabfirethemes.com/codex/index.php?title=Advanced_Newspaper_Installation_Guide#Setting_up_Media_Gallery'>on this page</a>",
							"id" => $shortname."_id_mediacats",
							"std" => "",
							"class" => "mini",
							"type" => "text"); 
				
							
$options[] = array( "name" => "Categories",
					"type" => "heading");

		$options[] = array( "name" => "Featured Slider",
							"desc" => "Select a category for entries.",
							"id" => $shortname.$themeid."_fea_cat",
							"type" => "select2",
							"options" => $of_categories);
							
		$options[] = array( "desc" => "Title for Featured Slider",
							"id" => $shortname.$themeid."_fea_title",
							"std" => "",
							"type" => "text");	
							
		$options[] = array( "desc" => "Number of Entries to display.",
							"id" => $shortname.$themeid."_fea_nr",
							"std" => "4",
							"class" => "mini",
							"type" => "select",
							"options" => $fea_nr); 
							
		$options[] = array( "desc" => "Display posts assigned this tag to be listed on featured slider. <br/> [Note: Category will be disregarded if a tag name is filled in].",
							"id" => $shortname.$themeid."_fea_tag",
							"class" => "mini",
							"type" => "text"); 
							
		$options[] = array( "desc" => "If this box is checked and featured tag section left empty, entries with custom field name <strong>featured</strong> and custom field value <strong>true</strong> will be displayed on slider.",
							"id" => $shortname.$themeid."_fea_cf",
							"std" => "false",
							"type" => "checkbox");	
	
		$options[] = array( "desc" => "Display most recent post entries on featured slider instead of category or tag.",
							"id" => $shortname.$themeid."_fea_recent",
							"std" => "false",
							"type" => "checkbox");	
		
		$options[] = array( "name" => "Below Slider",
							"desc" => "Number of entries to display. <br />Enter 0 to disable",
							"desc" => "Select a category",
							"id" => $shortname.$themeid."_cat1",
							"type" => "select2",
							"options" => $of_categories);

		$options[] = array( "desc" => "Title for Content News",
							"id" => $shortname.$themeid."_cat1_title",
							"std" => "",
							"type" => "text");								

		$options[] = array( "desc" => "Subtitle for Content News",
							"id" => $shortname.$themeid."_cat1_subtitle",
							"std" => "",
							"type" => "text");								

		$options[] = array( "desc" => "Number of Entries to display with post thumbnail and excerpt",
							"id" => $shortname.$themeid."_nr1",
							"std" => "6",
							"class" => "mini",
							"type" => "select",
							"options" => $options_nr);

		$options[] = array( "name" => "Primary Bottom - Left",
							"desc" => "Number of entries to display. <br />Enter 0 to disable",
							"desc" => "Select a category",
							"id" => $shortname.$themeid."_cat2",
							"type" => "select2",
							"options" => $of_categories);

							$options[] = array( "desc" => "Title for Below Featured - Left",
							"id" => $shortname.$themeid."_cat2_title",
							"std" => "",
							"type" => "text");								

							$options[] = array( "desc" => "Subtitle for Below Featured - Left",
							"id" => $shortname.$themeid."_cat2_subtitle",
							"std" => "",
							"type" => "text");								
							
		$options[] = array( "desc" => "Number of Entries to display without thumbnail and excerpt",
							"id" => $shortname.$themeid."_nr2",
							"std" => "5",
							"class" => "mini",
							"type" => "select",
							"options" => $options_nr);
							
		$options[] = array( "name" => "Primary Bottom - Right",
							"desc" => "Number of entries to display. <br />Enter 0 to disable",
							"desc" => "Select a category",
							"id" => $shortname.$themeid."_cat3",
							"type" => "select2",
							"options" => $of_categories);

							$options[] = array( "desc" => "Title for Below Featured - Right",
							"id" => $shortname.$themeid."_cat3_title",
							"std" => "",
							"type" => "text");								

							$options[] = array( "desc" => "Subtitle for Below Featured - Right",
							"id" => $shortname.$themeid."_cat3_subtitle",
							"std" => "",
							"type" => "text");								
							
		$options[] = array( "desc" => "Number of Entries to display without thumbnail and excerpt",
							"id" => $shortname.$themeid."_nr3",
							"std" => "5",
							"class" => "mini",
							"type" => "select",
							"options" => $options_nr);
							
		$options[] = array( "name" => "Subnews 1x4",
							"desc" => "Select a category",
							"id" => $shortname.$themeid."_cat4",
							"type" => "select2",
							"options" => $of_categories);
							
		$options[] = array( "desc" => "Number of entries to display. <br />Enter 0 to disable",
							"id" => $shortname.$themeid."_nr4",
							"std" => "4",
							"class" => "mini",
							"type" => "select",
							"options" => $options_nr);
							
		$options[] = array( "name" =>  "Subnews 2x4",
							"desc" => "Select a category",
							"id" => $shortname.$themeid."_cat5",
							"type" => "select2",
							"options" => $of_categories);
							
		$options[] = array( "desc" => "Number of entries to display. <br />Enter 0 to disable",
							"id" => $shortname.$themeid."_nr5",
							"std" => "4",
							"class" => "mini",
							"type" => "select",
							"options" => $options_nr);
							
		$options[] = array( "name" =>  "Subnews 3x4",
							"desc" => "Select a category",
							"id" => $shortname.$themeid."_cat6",
							"type" => "select2",
							"options" => $of_categories);
							
		$options[] = array( "desc" => "Number of entries to display. <br />Enter 0 to disable",
							"id" => $shortname.$themeid."_nr6",
							"std" => "4",
							"class" => "mini",
							"type" => "select",
							"options" => $options_nr);
							
		$options[] = array( "name" =>  "Subnews 4x4",
							"desc" => "Select a category",
							"id" => $shortname.$themeid."_cat7",
							"type" => "select2",
							"options" => $of_categories);
							
		$options[] = array( "desc" => "Number of entries to display. <br />Enter 0 to disable",
							"id" => $shortname.$themeid."_nr7",
							"std" => "4",
							"class" => "mini",
							"type" => "select",
							"options" => $options_nr);
							
		$options[] = array( "name" => "Footer left (slider)",
							"desc" => "Select a category for entries.",
							"id" => $shortname.$themeid."_pic_cat",
							"type" => "select2",
							"options" => $of_categories);
							
		$options[] = array( "desc" => "Title for Pictures Slider",
							"id" => $shortname.$themeid."_pic_title",
							"std" => "",
							"type" => "text");	

		$options[] = array( "name" => "Footer Mid (review)",
							"desc" => "Select a category for entries.",
							"id" => $shortname.$themeid."_box_cat",
							"type" => "select2",
							"options" => $of_categories);
							
		$options[] = array( "desc" => "Title for Text-Box",
							"id" => $shortname.$themeid."_box_title",
							"std" => "",
							"type" => "text");	

		$options[] = array( "name" => "Footer right (events)",
							"desc" => "Number of entries to display. <br />Enter 0 to disable",
							"desc" => "Select a category",
							"id" => $shortname.$themeid."_sch",
							"type" => "select2",
							"options" => $of_categories);

		$options[] = array( "desc" => "Title for Schecdule Area",
							"id" => $shortname.$themeid."_sch_title",
							"std" => "",
							"type" => "text");								

		$options[] = array( "desc" => "Number of Entries to display",
							"id" => $shortname.$themeid."_sch_nr",
							"std" => "4",
							"class" => "mini",
							"type" => "select",
							"options" => $options_nr);
							

$options[] = array( "name" => "Sliders",
				"type" => "heading");
				
			$options[] = array( "name" => "Featured Slider",
								"desc" => "Slide function",
								"id" => $shortname.$themeid."_sfunc",
								"std" => "fade",
								"type" => "select",
								"options" => $options_feaslide);
					
			$options[] = array( "desc" => "Auto rotation speed. Slide to next slide in X seconds",
								"id" => $shortname.$themeid."_featimeout",
								"std" => "15",
								"type" => "select",
								"class" => "mini",
								"options" => $options_nr);
								
			$options[] = array( "desc" => "The transition speed (in seconds)",
								"id" => $shortname.$themeid."_feaspeed",
								"std" => "1",
								"type" => "select",
								"class" => "mini",
								"options" => $options_nr);

			$options[] = array( "name" => "Inner-Page Slider",
								"desc" => "Automatically create slideshow of uploaded photos in post entries to be displayed below post title. [Note: Select options include displaying slider site-wide, tag-based, or to disable completely].",
								"id" => $shortname.$themeid."_inslider",
								"std" => "Disable",
								"type" => "select",
								"class" => "mini",
								"options" => $options_inslider);
								
			$options[] = array( "desc" => "If tag-based option is selected, display posts assigned this tag to be shown in inner-page slider. <br/> [Note: Posts with multiple image attachments and tagged with this key will display within slider].",
								"id" => $shortname.$themeid."_inslider_tag",
								"std" => "",
								"class" => "mini",
								"type" => "text"); 
								
			$options[] = array( "desc" => "Enable auto rotation for innerpage slider.",
								"id" => $shortname.$themeid."_inner_rotate",
								"std" => "false",
								"type" => "checkbox");	
								
			$options[] = array( "desc" => "(If auto rotate enabled) define pause time between 2 slides. [in seconds]",
								"id" => $shortname.$themeid."_inner_pause",
								"std" => "5",
								"class" => "mini",
								"type" => "text");

$options[] = array( "name" => "Media",
				"type" => "heading");

		$options[] = array( "name" => "Catch First Image",
							"desc" => "If enabled, built-in theme functions will scan post from top to bottom, catch the first image, and auto-generate a thumbnail for posts that do not have an image attached or custom field defined.",
							"id" => $shortname.$themeid."_catch_img",
							"std" => "false",
							"type" => "checkbox");

		$options[] = array( "name" => "Default 'No Image Found' photo",
							"desc" => "Enable on Featured slider",
							"id" => $shortname.$themeid."_df1",
							"std" => "true",
							"type" => "checkbox");
							
		$options[] = array( "desc" => "Enable on Media archive pages",
							"id" => $shortname.$themeid."_df2",
							"std" => "true",
							"type" => "checkbox");

$options[] = array( "name" => "Footer Options",
				"type" => "heading");

		$options[] = array( "name" => "Enable Footer Text 1",
							"desc" => "Activate to add the custom text on footer.",
							"id" => $shortname.$themeid."_footer1",
							"std" => "false",
							"type" => "checkbox");    

		$options[] = array( "name" => "Custom Text (Left)",
							"desc" => "Custom HTML and Text that will appear in the footer of your theme.",
							"id" => $shortname.$themeid."_footer1_text",
							"std" => "",
							"type" => "textarea");
								
		$options[] = array( "name" => "Title for Footer Link - 1",
							"desc" => "A title for page or category on Footer",
							"id" => $shortname.$themeid."_footer_link1_title",
							"std" => "",
							"type" => "text");

		$options[] = array( "name" => "Link for Footer Link - 1",
							"desc" => "A link for page or category on Footer",
							"id" => $shortname.$themeid."_footer_link1",
							"std" => "",
							"type" => "text");

		$options[] = array( "name" => "Title for Footer Link - 2",
							"desc" => "A titile for page or category on Footer",
							"id" => $shortname.$themeid."_footer_link2_title",
							"std" => "",
							"type" => "text");

		$options[] = array( "name" => "Link for Footer Link - 2",
							"desc" => "A link for page or category on Footer",
							"id" => $shortname.$themeid."_footer_link2",
							"std" => "",
							"type" => "text");
							
		$options[] = array( "name" => "Enable Custom Footer (Right)",
							"desc" => "Activate to add the custom text below to the theme footer.",
							"id" => $shortname.$themeid."_footer2",
							"std" => "false",
							"type" => "checkbox");    

		$options[] = array( "name" => "Custom Text (Right)",
							"desc" => "Custom HTML and Text that will appear in the footer of your theme.",
							"id" => $shortname.$themeid."_footer2_text",
							"std" => "",
							"type" => "textarea");

$options[] = array( "name" => "Manage Ads",
				"type" => "heading");	
							
		$options[] = array( "name" => "Mainpage Mid Section",
							"desc" => "Mainpage Mid section 468x60 ad (maximum width 600px).",
							"id" => $shortname.$themeid."_ad1",
							"std" => "",
							"type" => "textarea");	

		$options[] = array( "name" => "Sidebar 300x250 - top",
							"desc" => "300x250 sidebar ad - top.",
							"id" => $shortname.$themeid."_ad2",
							"std" => "",
							"type" => "textarea");
							
		$options[] = array( "name" => "Sidebar 300x250 - bottom",
							"desc" => "300x250 sidebar bottom - top.",
							"id" => $shortname.$themeid."_ad3",
							"std" => "",
							"type" => "textarea");
							
		$options[] = array( "name" => "160x600 - Magazine style category template",
							"desc" => "160x600 - Magazine style category template right sidebar ad.",
							"id" => $shortname.$themeid."_ad4",
							"std" => "",
							"type" => "textarea");
							
							
$options[] = array( "name" => "Miscellaneous",
					"type" => "heading");	
					
		$options[] = array(	"name" => "Media Category Template",
						"desc" => "ID number of cat(s) to use media gallery template (seperate with comma if more than 1 category is entered)",
						"id" => $shortname.$themeid."_mediatmp",
						"std" => "",
						"class" => "mini",
						"type" => "text"); 	
													
		$options[] = array(	"name" => "Magazine style category template",
							"desc" => "ID number of cat(s) to use magazine style category template (seperate with comma if more than 1 category is entered)",
							"id" => $shortname.$themeid."_mag",
							"std" => "",
							"class" => "mini",
							"type" => "text"); 	
							
		$options[] = array(	"name" => "Header - Left button",
							"desc" => "Title for button",
							"id" => $shortname.$themeid."_exp",
							"type" => "text"); 	
							
		$options[] = array(	"desc" => "Enter link to redirect when button is clicked",
							"id" => $shortname.$themeid."_exp_link",
							"type" => "text"); 	

		$options[] = array(	"name" => "Header - Right button",
							"desc" => "Experiences Area Category Title title",
							"id" => $shortname.$themeid."_exp2",
							"type" => "text"); 

		$options[] = array(	"desc" => "Enter link to redirect when button is clicked",
							"id" => $shortname.$themeid."_exp2_link",
							"type" => "text"); 							
							
							
		$options[] = array( "name" => "Category for Experiences Area",
							"desc" => "Select a category for entries.",
							"id" => $shortname.$themeid."_fea_exp",
							"type" => "select2",
							"options" => $of_categories);

		$options[] = array(	"name" => "Title of Social Area (footer left)",
							"desc" => "Enter a title here for Social Area",
							"id" => $shortname.$themeid."_soc",
							"type" => "text");
					
		$options[] = array(	"name" => "Twitter",
							"desc" => "Enter Twitter Profile URL",
							"id" => $shortname.$themeid."_twitter",
							"std" => "",
							"type" => "text");
					
		$options[] = array(	"name" => "Facebook",
							"desc" => "Enter Facebook profile url here",
							"id" => $shortname.$themeid."_facebook",
							"std" => "",
							"type" => "text");
					
		$options[] = array(	"name" => "Newsletter",
							"desc" => "Enter Newsletter url here",
							"id" => $shortname.$themeid."_newsletter",
							"std" => "",
							"type" => "text");
									
			$options[] = array( "name" => "Widget Map",
								"desc" => "Display the location of widgets on front page. After checking widget locations <strong>be sure to disable that option</strong>",
								"id" => $shortname."_widget",
								"std" => "false",
								"type" => "checkbox");

update_option('of_template',$options); 					  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);
}
}
?>