<?php
/* Create Custom Post Type */
add_action('init', 'gallery_init');
function gallery_init() 
{
  $labels = array(
  
	'name' => _x( 'galleries', 'journey' ),
	'singular_name' => _x( 'Gallery', 'journey' ),
	'add_new' => _x( 'Add New', 'journey' ),
	'add_new_item' => _x( 'Add New', 'journey' ),
	'edit_item' => _x( 'Edit', 'journey' ),
	'new_item' => _x( 'New', 'journey' ),
	'view_item' => _x( 'View', 'journey' ),
	'search_items' => _x( 'Search', 'journey' ),
	'not_found' => _x( 'Nothing found', 'journey' ),
	'not_found_in_trash' => _x( 'Nothing found in Trash', 'journey' ),
	'parent_item_colon' => _x( 'Parent:', 'journey' ),
	'menu_name' => _x( 'Photo &amp; Video', 'journey' ), 
  );
    
  $args = array(
        'labels' => $labels,
        'hierarchical' => true,
		'menu_icon' => get_bloginfo('template_directory') . '/images/framework/gabfire-icon.png',
        'supports' => array( 'title', 'editor', 'comments', 'author', 'excerpt', 'thumbnail', 'custom-fields', 'revisions', 'post-formats' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'show_in_nav_menus' => false,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_type' => 'post'
  ); 
  register_post_type('gab_gallery',$args);
}

//hook into the init action and call create_book_taxonomies when it fires
add_action( 'init', 'gallery_taxonomies', 0 );

//create two taxonomies, genres and writers for the post type "book"
function gallery_taxonomies() 
{
  // Add new taxonomy, make it hierarchical (like categories)
  $labels = array(
    'name' => _x( 'gallery-cats', 'journey' ),
    'singular_name' => _x( 'gallery-cat', 'journey' ),
    'search_items' =>  _x( 'Search', 'journey' ),
    'all_items' => _x( 'All', 'journey' ),
    'parent_item' => _x( 'Parent', 'journey' ),
    'parent_item_colon' => _x( 'Parent:', 'journey' ),
    'edit_item' => _x( 'Edit', 'journey' ), 
    'update_item' => _x( 'Update', 'journey' ),
    'add_new_item' => _x( 'Add New', 'journey' ),
    'new_item_name' => _x( 'New Name', 'journey' ),
    'menu_name' => _x( 'Gallery Categories', 'journey' ),
  ); 	

  register_taxonomy('gallery-cat',array('gab_gallery'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'gallery-cats' ),
  ));

  // Add new taxonomy, NOT hierarchical (like tags)
  $labels = array(
    'name' => _x( 'gallery-tags', 'journey' ),
    'singular_name' => _x( 'gallery-tag', 'journey'),
    'search_items' =>  _x( 'Search', 'journey' ),
    'popular_items' => _x( 'Popular', 'journey' ),
    'all_items' => _x( 'All', 'journey' ),
    'parent_item' => null,
    'parent_item_colon' => null,
    'edit_item' => _x( 'Edit', 'journey' ), 
    'update_item' => _x( 'Update', 'journey' ),
    'add_new_item' => _x( 'Add New', 'journey' ),
    'new_item_name' => _x( 'New', 'journey' ),
    'separate_items_with_commas' => _x( 'Separate with commas', 'journey' ),
    'add_or_remove_items' => _x( 'Add or remove', 'journey' ),
    'choose_from_most_used' => _x( 'Choose from the most used', 'journey' ),
    'menu_name' => _x( 'Gallery Tags', 'journey' ),
  ); 

  register_taxonomy('gallery-tag','gab_gallery',array(
    'hierarchical' => false,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'gallery-tag' ),
  ));
}